[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# UnicodeCharToStrVar

Convert a null-terminated memory buffer with Unicode characters to an ansistring

## Declaration

Source position: ustringh.inc line 51

`procedure UnicodeCharToStrVar(`
`S: PUnicodeChar;`
`out Dest: AnsiString`
`);`

## Description

UnicodeCharLenToString converts the Unicode characters in buffer S up to the first null word, to an ansistring and returns the result in Dest

This function does the same as UnicodeCharToString.

## Errors

No checking is done to see if the pointer S is valid.

## See also

StringToUnicodeChar |  | Convert an ansistring to a null-terminated array of Unicode characters.
UnicodeCharToString |  | Convert Unicode character to string
UnicodeCharLenToString |  | Convert a memory buffer with Unicode characters to a unicodestring
UnicodeCharToString |  | Convert Unicode character to string